<?php

function chat_getChatterListFromLocalServer($chat_data_path)
{
		$chat_data_path = chat_checkSlash($chat_data_path);
     if(!@dir($chat_data_path))return "chat data path error";
	$userListStr = "";

	$d = dir($chat_data_path);

	while (false !== ($entry = $d->read())) 
	{
	   $rest = substr($entry, 0, 5);
	   if ($rest == "room_")
	   {
		
		if (file_exists($chat_data_path.$entry))
		{
			
			$f_users = file($chat_data_path.$entry);
			
			for ($i = 0; $i < count($f_users); $i ++)
			{
				$f_line = trim($f_users[$i]);
				
				if ($f_line != "")
				{
					$userListStr = ($userListStr == "") ? $f_line : $userListStr. ", " . $f_line;
				}
			}	
		}	   	
	   }
	}
	$d->close();

	$userListStr = ($userListStr == "") ? "None" : $userListStr;
	$userListStr = "User List:<b>".$userListStr."</b>";
	return $userListStr;
}


function chat_getChattersFromLocalServer($chat_data_path)
{
	$chat_data_path = chat_checkSlash($chat_data_path);
	
	$room = array();
	$room['connections'] = 0;
	$room['logon_users'] = 0;
	$room['room_numbers'] = 0;

	$online_file = $chat_data_path."online.txt";

	if (!file_exists($online_file))
	{
		return $room;
	}

	if (!$row = file($online_file))
	{
		return $room;
	}

	$room_data = explode("|", $row[0]);


	if (count($room_data) == 3)
	{
		$room['connections'] = 	"There are <b>".intval($room_data[0])."</b> connections";
		$room['logon_users'] = 	"There are <b>".intval($room_data[1])."</b> logon users";
		$room['room_numbers'] = "There are <b>".intval($room_data[2])."</b> rooms";
	}

	return $room;
}

function chat_getChattersFromExtendServer($primary_server_host)
{
	$room = array();

	$room['connections'] = "There are <b><script lanauge=javascript src='http://".$primary_server_host."/connections.php'></script></b> connections";
	$room['logon_users'] = "There are <b><script lanauge=javascript src='http://".$primary_server_host."/logon_users.php'></script></b> logon users";
	$room['room_numbers'] = "There are <b><script lanauge=javascript src='http://".$primary_server_host."/room_numbers.php'></script></b> rooms";

	return $room;
}


function chat_getChatterListFromExtendServer($primary_server_host)
{
	$userListStr = "User List:<b><script lanauge=javascript src='http://".$primary_server_host."/user_list.php'></script></b>";
	$userListStr = (empty($userListStr)) ? "None" : $userListStr;	
	return $userListStr;
}


function chat_getChatterListFromFreeServer($free_server_path,$sitename)
{   
	if($sitename=='') $sitename=$_SERVER['HTTP_HOST'];
	$userListStr = "User List:<b><script lanauge=javascript src='".$free_server_path."freeroomuser.php?roomname=".$sitename."'></script></b>";
	return $userListStr;
}


function chat_getChattersFromFreeServer($free_server_path,$sitename)
{
	$room = array();
    if($sitename=='') $sitename=$_SERVER['HTTP_HOST'];
	$room['logon_users'] = "There are <b><script lanauge=javascript src='".$free_server_path."freeroomnum.php?roomname=".$sitename."'></script></b> logon users";
	return $room;
}

function chat_checkSlash($path)
{
	if(substr($path,-1,1) != "/" && !empty($path)){
		$path = $path."/";
	}
	return $path;
}
?>